Configure and activate a Support app
curl --request PUT \
--url https://api.contactbutton.com/v1/workspaces/{workspace}/support/apps/{app} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"configuration": {
"title": "<string>",
"description": "<string>",
"support_term": "<string>",
"currency": "usd",
"suggested_amounts": [
50100
],
"allow_custom_amount": true,
"minimum_amount": 50100,
"maximum_amount": 50100,
"allow_supporter_name": true,
"allow_supporter_message": true,
"allow_private": true,
"show_supporter_count": true,
"thank_you_title": "<string>",
"thank_you_message": "<string>"
}
}
'import requests
url = "https://api.contactbutton.com/v1/workspaces/{workspace}/support/apps/{app}"
payload = {
"active": True,
"configuration": {
"title": "<string>",
"description": "<string>",
"support_term": "<string>",
"currency": "usd",
"suggested_amounts": [50100],
"allow_custom_amount": True,
"minimum_amount": 50100,
"maximum_amount": 50100,
"allow_supporter_name": True,
"allow_supporter_message": True,
"allow_private": True,
"show_supporter_count": True,
"thank_you_title": "<string>",
"thank_you_message": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
configuration: {
title: '<string>',
description: '<string>',
support_term: '<string>',
currency: 'usd',
suggested_amounts: [50100],
allow_custom_amount: true,
minimum_amount: 50100,
maximum_amount: 50100,
allow_supporter_name: true,
allow_supporter_message: true,
allow_private: true,
show_supporter_count: true,
thank_you_title: '<string>',
thank_you_message: '<string>'
}
})
};
fetch('https://api.contactbutton.com/v1/workspaces/{workspace}/support/apps/{app}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "<unknown>",
"meta": {
"request_id": "<string>",
"next_cursor": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"errors": {}
}Configure and activate a Support app
PUT
/
workspaces
/
{workspace}
/
support
/
apps
/
{app}
Configure and activate a Support app
Authorizations
A Contact Button scoped bearer key. Send Authorization: Bearer <token>.
Token abilities are enforced independently of workspace membership; both checks must pass.
OAuth 2.0 authorization-code flows are not currently available.
Headers
Stable 8–120 character key for safe mutation retries.
Required string length:
8 - 120Related topics
Get Support app configurationGet public Support app configurationList configured appsList Support app payments and fee reconciliationCreate a one-time Support payment intentWas this page helpful?
⌘I